Bug 397841 - Video mode switches leave video card in suspended state (ATI Radeon)
Video mode switches leave video card in suspended state (ATI Radeon)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 08:45 EST by Mark Bratcher
Modified: 2009-01-09 02:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg config file (593 bytes, application/octet-stream)
2007-11-24 13:25 EST, Mark Bratcher
no flags Details
Xorg log file (48.59 KB, text/plain)
2007-11-24 13:27 EST, Mark Bratcher
no flags Details
Xorg log file (after removing xorg.conf and doing system reboot) (52.10 KB, application/octet-stream)
2007-11-24 13:43 EST, Mark Bratcher
no flags Details
Xorg log file (after reboot from failed gdm display - this one succeeded) (51.67 KB, application/octet-stream)
2007-11-24 13:45 EST, Mark Bratcher
no flags Details
Xorg log file (created when reboot failed to display a login screen) (48.60 KB, application/octet-stream)
2007-11-24 21:48 EST, Mark Bratcher
no flags Details
Xorg log file (after reboot from no gdm wakeup) (48.76 KB, application/octet-stream)
2007-11-27 06:55 EST, Mark Bratcher
no flags Details
Old Xorg log file (after reboot from no gdm wakeup) (48.71 KB, application/octet-stream)
2007-11-27 06:56 EST, Mark Bratcher
no flags Details

  None (edit)
Description Mark Bratcher 2007-11-24 08:45:00 EST
Description of problem:
I have just upgraded to Fedora 8 and have an ATI Radeon 7500 based video card.
Sometimes during boot, when the video switches from text display mode to
graphical during Fedora initialization, the screen will blank from the text mode
but never enter the graphical mode. It stays blank and the monitor no longer
receives a video signal. The OS is still initializing (I can see the disk activity).

Problem may also happen switching to the GDM login screen either after a Fedora
boot-up or logging out from a user session: the screen will go blank, expecting
to show the login screen, but no signal to the monitor.

If I use Ctrl-Alt-F1 to attempt to go to the command line mode, the monitor
remains blank with no signal. In fact, no matter what I press or any mouse
motion does not change this state. However, after pressing Ctrl-Alt-F1 I can
reboot the system with Ctrl-Alt-Del. Rebooting the system will sometimes recover
everything, but will sometimes hit the problem as first described.

I was seeing something like this in Fedora Core 5 (my prior version) but had
only recently installed the video card so I don't have a lot of examples of it
happening there.

Version-Release number of selected component (if applicable):
(Just let me know what components you want versions of and how to obtain the
info and I will provide it.)

How reproducible:
This happens regularly but hard to tell percentage. For now I'd have to say
about 50% of the time when logging out or system initialization.

Steps to Reproduce:

1. Boot Fedora 8
2. Watch screen attempt to go to graphic mode during init
3. Watch screen go blank (while attempting graphic mode) and remain blank with
no signal

OR

1. After successful boot of Fedora 8 login and use system
2. Log out and watch screen go blank before login screen appears
3. Note that login screen does not appear, but screen remains blank with no signal

In all cases, recovery is done by waiting for system to be stable, pressing
Ctrl-Alt-F1 to get to a command line mode (screen remains blank with no signal),
then pressing Ctrl-Alt-Del to reboot.
Comment 1 Matěj Cepl 2007-11-24 10:24:33 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Mark Bratcher 2007-11-24 13:25:28 EST
Created attachment 268061 [details]
Xorg config file
Comment 3 Mark Bratcher 2007-11-24 13:27:52 EST
Created attachment 268071 [details]
Xorg log file
Comment 4 Mark Bratcher 2007-11-24 13:43:55 EST
Created attachment 268081 [details]
Xorg log file (after removing xorg.conf and doing system reboot)

I removed (actually renamed) /etc/X11/xorg.conf then rebooted the system. After
initialization of Fedora 8, the screen went blank in preparation for showing a
login screen, but the video signal just went away and didn't come back. No
login screen appeared, just blank. I had to recover by Ctrl-Alt-F1, then
Ctrl-Alt-Del (all with blank screen). System rebooted and gave me a login
screen.

I will post that Xorg log file (successful second boot) as well.
Comment 5 Mark Bratcher 2007-11-24 13:45:11 EST
Created attachment 268091 [details]
Xorg log file (after reboot from failed gdm display - this one succeeded)
Comment 6 Mark Bratcher 2007-11-24 16:06:00 EST
OK.... duh.... I was noticing in all the files I captured that X was using the
right radeon driver, but a generic monitor type. Evidently the monitor type is
not detected. I set the monitor type specifically using the Gnome display config
tool (which updated xorg.conf accordingly with the monitor type) and the problem
has so far not recurred.

So please stand by. If you don't hear from me with another post, assume that the
problem is fixed by setting the monitor type specifically.
Comment 7 Mark Bratcher 2007-11-24 21:46:48 EST
OK, well problem is still there. I had several successful successive
logouts/logins so I thought the problem had gone away after setting monitor
type. Maybe it happens less frequently now? Not sure. Time will tell.

I have attached another Xorg log file for the last failure after bootup (system
booted up but blank screen, no video signal for login or any Ctrl-Alt-Fx choice).
Comment 8 Mark Bratcher 2007-11-24 21:48:02 EST
Created attachment 268161 [details]
Xorg log file (created when reboot failed to display a login screen)

Failure after a reboot to get a login screen.
Comment 9 Mark Bratcher 2007-11-27 06:54:19 EST
It's been two days since I've had an "event" and just had another. In this case,
the monitor (actually, the display card) would not "wake up" to my login screen
when I moved the mouse. Screen remained blank with no signal. I was, however,
able to use the keyboard Ctrl-Alt-F1 and then Ctrl-Alt-Del to recover (note:
screen remained blank after Ctrl-Alt-F1).

When I rebooted, I immediately went to single user mode and saved Xorg.0.log (as
Xorg.0.log-reboot-after-blank) and Xorg.0.log.old (as Xorg.0.log-eve-of-blank).
Comment 10 Mark Bratcher 2007-11-27 06:55:30 EST
Created attachment 269661 [details]
Xorg log file (after reboot from no gdm wakeup)
Comment 11 Mark Bratcher 2007-11-27 06:56:04 EST
Created attachment 269671 [details]
Old Xorg log file (after reboot from no gdm wakeup)
Comment 12 Mark Bratcher 2007-12-03 08:53:06 EST
Common thread in logs after failure is the line:

(II) AIGLX: Suspending AIGLX clients for VT switch

This line does not appear in logs in success cases.

At least it seems this way. Not sure exactly when the log gets written.
Comment 13 Bug Zapper 2008-11-26 03:40:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 02:28:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.